#
# spec file for package marsnwe (Version 0.99.pl20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         marsnwe
Copyright:    Martin Stover
Group:        Applications/Networking
Provides:     mars_nwe 
Autoreqprov:  on
Version:      0.99.pl20
Release:      104
Summary:      Novell server emulation
Source:       mars_nwe-0.99.pl20.tar.bz2
Source1:      rc.nwe
Source2:      rc.config.nwe
Patch:        mars_nwe.dif

%description
Complete emulation of a Novell server.
Supports file-service, bindery-service, print-service and routing-service.
Your kernel has to be configured according to
/usr/share/doc/packages/marsnwe/INSTALL.

Authors:
--------
    Martin Stover <mstover@freeway.de>

SuSE series: n

%prep
%setup -n mars_nwe
%patch -p1

%build
make
make

%install
make install
make install_ini
chmod 644 doc/* examples/*
chmod 755 examples
install %{SOURCE1} /etc/init.d/nwe
ln -sf ../../etc/init.d/nwe /usr/sbin/rcnwe
mkdir -p /var/adm/fillup-templates
install -m 644 %{SOURCE2} /var/adm/fillup-templates/rc.config.nwe

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.nwe
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.nwe"
  echo "and update by hand."
fi
# ---------------------------------------------------------------------------
#
# Initialize runlevel links
#
sbin/insserv etc/init.d/nwe

%postun
sbin/insserv etc/init.d/

%files
%doc doc/* examples
%config /etc/nwserv.conf
%config /etc/init.d/nwe
/usr/sbin/rcnwe
/usr/sbin/ncpserv
/usr/sbin/nwbind
/usr/sbin/nwclient
/usr/sbin/nwconn
/usr/sbin/nwserv
/var/adm/fillup-templates/rc.config.nwe

%changelog -n marsnwe
* Thu Aug 16 2001 - bodammer@suse.de
- bzip2 sources
- initscript moved away from marsnwe.dif
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start marsnwe in runlevel 2 [bug #7956]
* Thu Mar 29 2001 - bodammer@suse.de
- new initscript more LSB conform
- initscript loads ipx-module if necessary
* Fri Mar 16 2001 - bodammer@suse.de
- security patch was missing in mars_nwe.dif
* Wed Mar 14 2001 - bodammer@suse.de
- update to mars_nwe-0.99.pl20
- security patch: format string vulnerability in tools.c fixed
* Thu Feb 15 2001 - sf@suse.de
- made it compile with gcc-2.96
* Mon Feb 12 2001 - bodammer@suse.de
- include of linux/config.h removed from emutli1.c
* Tue Nov 28 2000 - bodammer@suse.de
- Fix location of rcscript
* Fri Nov 24 2000 - bodammer@suse.de
- rcscript update
* Mon Jun 05 2000 - bodammer@suse.de
- update -> mars_nwe-0.99.pl19
* Thu Dec 16 1999 - ro@suse.de
- fixed another typo
* Thu Dec 16 1999 - ro@suse.de
- finally fixed overflow-patch
* Tue Nov 02 1999 - bodammer@suse.de
- init-script fixed
* Wed Sep 15 1999 - ro@suse.de
- applied ouffer-overflow-patch
- updated specfile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 - uli@suse.de
- update -> 0.99.pl17
* Tue Dec 08 1998 - ro@suse.de
- updated init-script
* Sat Oct 03 1998 - ro@suse.de
- tools.c: moved initialisation of FILE* logfile into functions
- emutli.h: dont include linux/ipx for glibc
* Fri Oct 02 1998 - ro@suse.de
- update to 0.99pl12 (used old .dif but removed doinst.sh)
* Mon Jan 19 1998 - vl@suse.de
- update to version 0.99.pl4
* Wed Jul 23 1997 - ro@suse.de
- added fillup for rc.config with variable START_MARSNWE
* Tue Jun 03 1997 - vl@suse.de
- update to version 0.98.pl10
- Starting from /sbin/init.d/nwe
